<!doctype html>
<html lang="en">
<head>
    <title>Document</title>
    <style type="text/css" rel="stylesheet">
        /*--------------------< style toast >----------------------*/
        #toast {
            visibility: hidden;
            max-width: 50px;
            height: 50px;
            /*margin-left: -125px;*/
            margin: auto;
            /*background-color: #0a9e67;*/
            /*color: #fff;*/
            text-align: center;
            border-radius: 2px;

            position: fixed;
            z-index: 100;
            left: 0;right:0;
            bottom: 30px;
            font-size: 17px;
            white-space: nowrap;
        }
        #toast #img{
            width: 50px;
            height: 50px;

            float: left;

            padding-top: 16px;
            padding-bottom: 16px;

            box-sizing: border-box;
        }

        #toast.success{
            background-color: #20c997;
            color: #fff;
        }
        #toast.success #img{
            background-color: #28A745FF !important;
            color: #fff;
        }

        #toast.danger{
            background-color: #FF586BFF;
            color: #fff;
        }
        #toast.danger #img{
            background-color: #DC3545FF !important;
            color: #fff;
        }

        #toast #desc{


            color: #fff;

            padding: 16px;

            overflow: hidden;
            white-space: nowrap;
        }

        #toast.show {
            visibility: visible;
            -webkit-animation: fadein 0.5s, expand 0.5s 0.5s,stay 3s 1s, shrink 0.5s 2s, fadeout 0.5s 2.5s;
            animation: fadein 0.5s, expand 0.5s 0.5s,stay 3s 1s, shrink 0.5s 4s, fadeout 0.5s 4.8s;
        }

        @-webkit-keyframes fadein {
            from {bottom: 0; opacity: 0;}
            to {bottom: 30px; opacity: 1;}
        }

        @keyframes fadein {
            from {bottom: 0; opacity: 0;}
            to {bottom: 30px; opacity: 1;}
        }

        @-webkit-keyframes expand {
            from {min-width: 50px}
            to {min-width: 350px}
        }

        @keyframes expand {
            from {min-width: 50px}
            to {min-width: 350px}
        }
        @-webkit-keyframes stay {
            from {min-width: 350px}
            to {min-width: 350px}
        }

        @keyframes stay {
            from {min-width: 350px}
            to {min-width: 350px}
        }
        @-webkit-keyframes shrink {
            from {min-width: 350px;}
            to {min-width: 50px;}
        }

        @keyframes shrink {
            from {min-width: 350px;}
            to {min-width: 50px;}
        }

        @-webkit-keyframes fadeout {
            from {bottom: 30px; opacity: 1;}
            to {bottom: 0px; opacity: 0;visibility: hidden}
        }

        @keyframes fadeout {
            from {bottom: 30px; opacity: 1;}
            to {bottom: 0px; opacity: 0;visibility: hidden}
        }
        /*--------------------< end style toast >----------------------*/

    </style>
</head>
<body>

    <div class="" id="toast">
        <div id="img">😀</div>
        <div id="desc"></div>
    </div>

    <script
    src="https://code.jquery.com/jquery-3.6.0.slim.min.js"
    integrity="sha256-u7e5khyithlIdTpu22PHhENmPcRdFiHRjhAuHcs05RI="
    crossorigin="anonymous"></script>
<script type="text/javascript">

    function milad_toast(type,message) {
        console.log(type , message);
        var x = $("#toast");
        x.addClass("show "+type);
        $("#toast #desc").text(message);
        setTimeout(function(){ x.removeClass("show") }, 5000);
    }

    window.onload = (event) => {
        milad_toast('success','این یه پیام تست می باشد.')
    }
</script>

</body>
</html>